Drivers
List driver documents
List all documents on file for a driver by driver ID, including CDLs, medical cards, drug test results, hire packets, and other compliance uploads.
GET
List driver documents
Retrieve all uploaded documents associated with a specific Driver by its unique
Replace
driverId.
Request Parameters
Example cURL Request
{version} with the API version, {driverId} with the actual driver ID, and YOUR_ACCESS_TOKEN with a valid token.
Response Body
Array of document objects:Example Response (200 OK)
Rate Limits
All endpoints are subject to rate limits to protect the API from traffic spikes. For detailed information, see the Rate Limits section.Try It Out
This page is interactive, allowing you to try a request by specifying the API version and driverId in the URL path. As you fill out the parameters, the cURL command on the right side of the page will be automatically updated. Alternatively, you can directly edit the cURL command. ⚠️ Don’t forget: make sure to authorize yourself before trying a request.Authorizations
OAuth 2.0 client-credentials access token. Obtain one from https://auth.alvys.com/oauth/token (grant_type=client_credentials, audience=https://api.alvys.com/public/), then paste it here. The playground sends it as Authorization: Bearer <token>.
Path Parameters
API version (e.g., 1.0)
Example:
"1.0"